HTTP APIEndpoints
Read synchronization status
GET
Returns the latest published checkpoint, pending upload state, and any sync error for the session. Requires configured persistence.
bearerheader
AuthorizationBearer <token>id*stringOpaque session ID.
Match
^[a-fA-F0-9]{32}$Read synchronization status
application/json- response
checkpoint?stringerror?stringhistory_bytes*integernative_checkpoint?stringpending*booleanresume_offset*integertime?stringFormat
date-timecurl -X GET 'http://127.0.0.1:8080/sessions/string/sync' \ -H 'Authorization: Bearer <BRAIN_TOKEN>'{ "checkpoint": "string", "error": "string", "history_bytes": 0, "native_checkpoint": "string", "pending": true, "resume_offset": 0, "time": "2019-08-24T14:15:22Z"}